Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmEntryDeposit.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmEntryDeposit.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmEntryDeposit.cs	(revision 185)
@@ -0,0 +1,951 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using System.Windows.Forms;
+using ProcessManagement.DataModel;
+using ProcessManagement.Common;
+using ProcessManagement.Forms.SubForms;
+using System.Collections;
+using ProcessManagement.DB.IOAccess;
+
+using System.Diagnostics;
+using System.Threading;
+using System.Text.RegularExpressions;
+
+using log4net;
+using log4net.Appender;
+using log4net.Repository.Hierarchy;
+
+using ProcessManagement.DB.Core;
+using ProcessManagement.Forms.Master;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+
+namespace ProcessManagement.Forms.DataEntry.Request
+{
+    public partial class FrmEntryDeposit : Form
+    {
+        #region ログ使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 変数
+        /// <summary>
+        /// 入金データ
+        /// </summary>
+        private DepositData m_DepositData = new DepositData();
+
+        /// <summary>
+        /// 編集前のセルの内容
+        /// </summary>
+        private string oldCellValue = "";
+
+        private List<DepositList> Dlist;
+
+        #endregion
+
+        #region 定数
+        private const long amount_max = 9999999999;             // 金額最大
+        private const long amount_min = -9999999999;            // 金額最小
+        #endregion
+
+        #region 入金情報クラス定義
+        /// <summary>
+        /// 入金情報
+        /// </summary>
+        private class DepositList
+        {
+            public int orderersDivision;
+            public int orderersCode;
+            public int targetDate;
+            public int seqNo;
+            public string depositDate;
+            public long depositAmount;
+            public long depositAmountCash;
+            public long depositAmountBill;
+            public int depositPersonCode;
+            public string personName;
+            public string note;
+
+            public int AddEdit = 0;
+        }
+        #endregion
+
+        #region 取得するデータ項目
+        /// <summary>
+        /// 取得するデータ項目
+        /// </summary>
+        private enum GetData
+        {
+            orderersName = 0,
+            orderersDivision,
+            orderersCode,
+            targetDate,
+            seqNo,
+            depositDate,
+            depositAmount,
+            depositAmountCash,
+            depositAmountBill,
+            depositPersonCode,
+            personName,
+            note,
+        }
+        #endregion
+
+        #region カラム追加用
+        /// <summary>
+        /// カラム追加用
+        /// </summary>
+        private enum DispColumn
+        {
+            orderersDivision = 0,
+            orderersCode,
+            targetDate,
+            seqNo,
+            BusinessPeriod,
+            depositDate,
+            depositAmount,
+            depositAmountCash,
+            depositAmountBill,
+            depositPersonCode,
+            personName,
+            note,
+        }
+        #endregion
+
+        #region プロパティ
+        /// <summary>
+        /// 入金データ
+        /// </summary>
+        public DepositData depositdata
+        {
+            get { return m_DepositData; }
+            set { m_DepositData = value; }
+        }
+
+        #endregion
+
+        #region コンストラクタ
+        public FrmEntryDeposit()
+        {
+            InitializeComponent();
+        }
+        #endregion
+
+        #region フォームロード
+        /// <summary>
+        /// フォームロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmEntryDeposit_Load(object sender, EventArgs e)
+        {
+            //フォームサイズ固定
+            this.MaximizedBounds = new Rectangle(this.Left, this.Top, this.Width, this.Height);
+            // 初期表示
+            InitDataLoad();
+        }
+        #endregion
+
+        #region 初期表示処理
+        /// <summary>
+        /// 初期表示処理
+        /// </summary>
+        private void InitDataLoad()
+        {
+            try
+            {
+                var Dep = SelectDepositData().OfType<object[]>();
+                Dlist = new List<DepositList>();
+
+                // 取得情報をリストに入れる
+                foreach (var orderer in Dep)
+                {
+                    var o = new DepositList();
+
+                    string orderersName = CommonMotions.cnvString(orderer[(int)GetData.orderersName]);
+                    if (orderersName != null)
+                    {
+                        OrderersName.Text = orderersName;
+                    }
+                    o.orderersDivision = CommonMotions.cnvInt(orderer[(int)GetData.orderersDivision]);
+                    o.orderersCode = CommonMotions.cnvInt(orderer[(int)GetData.orderersCode]);
+                    o.targetDate = CommonMotions.cnvInt(orderer[(int)GetData.targetDate]);
+                    o.seqNo = CommonMotions.cnvInt(orderer[(int)GetData.seqNo]);
+                    o.depositDate = CommonMotions.cnvString(orderer[(int)GetData.depositDate]);
+                    o.depositAmount = CommonMotions.cnvInt(orderer[(int)GetData.depositAmount]);
+                    o.depositAmountCash = CommonMotions.cnvInt(orderer[(int)GetData.depositAmountCash]);
+                    o.depositAmountBill = CommonMotions.cnvInt(orderer[(int)GetData.depositAmountBill]);
+                    o.depositPersonCode = CommonMotions.cnvInt(orderer[(int)GetData.depositPersonCode]);
+                    o.personName = CommonMotions.cnvString(orderer[(int)GetData.personName]);
+                    o.note = CommonMotions.cnvString(orderer[(int)GetData.note]);
+                    o.AddEdit = 0;
+
+                    Dlist.Add(o);
+                }
+
+                // 一覧表示
+                Display();
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 入金データを取得する
+        /// <summary>
+        /// 入金データを取得する
+        /// </summary>
+        /// <returns></returns>
+        private ArrayList SelectDepositData()
+        {
+            var Dep = new IODepositData();
+            int Od = depositdata.OrderersDivision;
+            int Oc = depositdata.OrderersCode;
+            string Tg = depositdata.TargetDate;
+
+            try
+            {
+                var sql = new StringBuilder();
+                sql.Append(" ( ");
+                sql.Append("  SELECT ");
+                sql.Append("   CONCAT(OrderersName1, '　', OrderersName2) AS ORDERERSNAME ");
+                sql.Append("   , ORDERCOTEGORY AS ORDERERSDIVISION ");
+                sql.Append("   , ORDERERSCODE AS ORDERERSCODE ");
+                sql.AppendFormat("   , {0} AS TARGETDATE ", Tg);
+                sql.Append("   , NULL AS SEQNO ");
+                sql.Append("   , NULL AS DEPOSITDATE ");
+                sql.Append("   , NULL AS DEPOSITAMOUNT ");
+                sql.Append("   , NULL AS DEPOSITAMOUNTCASH ");
+                sql.Append("   , NULL AS DEPOSITAMOUNTBILL ");
+                sql.Append("   , NULL AS DEPOSITPERSONCODE ");
+                sql.Append("   , NULL AS PERSONNAME ");
+                sql.Append("   , NULL AS NOTE ");
+                sql.Append("  FROM ");
+                sql.Append("   ORDERERSMASTER ");
+                sql.Append("  WHERE ");
+                sql.AppendFormat("   ORDERCOTEGORY = {0} ", Od);
+                sql.AppendFormat("  AND ORDERERSCODE = {0} ", Oc);
+                sql.Append(" ) ");
+                sql.Append(" UNION ");
+                sql.Append(" ( ");
+                sql.Append("  SELECT ");
+                sql.Append("   NULL AS ORDERERSNAME ");
+                sql.Append("   , DEP.ORDERERSDIVISION ");
+                sql.Append("   , DEP.ORDERERSCODE ");
+                sql.Append("   , DEP.TARGETDATE ");
+                sql.Append("   , DEP.SEQNO ");
+                sql.Append("   , DATE_FORMAT(DEP.DEPOSITDATE, '%m/%d') AS DEPOSITDATE");
+                sql.Append("   , DEP.DEPOSITAMOUNT ");
+                sql.Append("   , DEP.DEPOSITAMOUNTCASH ");
+                sql.Append("   , DEP.DEPOSITAMOUNTBILL ");
+                sql.Append("   , DEP.DEPOSITPERSONCODE ");
+                sql.Append("   , PICM.SEALPRINTNAME AS PERSONNAME");
+                sql.Append("   , DEP.NOTE ");
+                sql.Append("  FROM ");
+                sql.Append("   DEPOSITDATA AS DEP ");
+                sql.Append("   LEFT OUTER JOIN PERSONINCHARGEMASTER PICM ON ");
+                sql.Append("    PICM.PERSONCODE = DEP.DEPOSITPERSONCODE ");
+                sql.AppendFormat("  WHERE ORDERERSDIVISION ={0} ", Od);
+                sql.AppendFormat("   AND ORDERERSCODE = {0} ", Oc);
+                sql.AppendFormat("   AND TARGETDATE = {0} ", Tg);
+                sql.Append(" ) ");
+                sql.Append(" ORDER BY ");
+                sql.Append(" ORDERERSNAME ");
+                sql.Append(" ,SEQNO ");
+                sql.Append(" ; ");
+
+                var data = new ArrayList();
+                if (!Dep.ExecuteReader(sql.ToString(), ref data)) return new ArrayList();
+                return data;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return new ArrayList();
+            }
+            finally
+            {
+                Dep.close();
+                Dep = null;
+            }
+        }
+        #endregion
+
+        #region 一覧表示
+        /// <summary>
+        /// 一覧表示
+        /// </summary>
+        private void Display()
+        {
+            try
+            {
+                for (var i = 0; i < Dlist.Count; i++)
+                {
+                    dgv1.Rows.Add();
+                    dgv1.Rows[i].Cells[(int)DispColumn.orderersDivision].Value = Dlist[i].orderersDivision;
+                    dgv1.Rows[i].Cells[(int)DispColumn.orderersCode].Value = Dlist[i].orderersCode;
+                    dgv1.Rows[i].Cells[(int)DispColumn.targetDate].Value = Dlist[i].targetDate;
+                    dgv1.Rows[i].Cells[(int)DispColumn.depositDate].Value = Dlist[i].depositDate;
+                    dgv1.Rows[i].Cells[(int)DispColumn.BusinessPeriod].Value = CommonMotions.SystemMasterData.BusinessPeriod;
+                    SetPrice(dgv1.Rows[i].Cells, (int)DispColumn.depositAmount, Dlist[i].depositAmountCash + Dlist[i].depositAmountBill);
+                    SetPrice(dgv1.Rows[i].Cells, (int)DispColumn.depositAmountCash, Dlist[i].depositAmountCash);
+                    SetPrice(dgv1.Rows[i].Cells, (int)DispColumn.depositAmountBill, Dlist[i].depositAmountBill);
+
+                    if (Dlist[i].depositPersonCode != 0)
+                    {
+                        dgv1.Rows[i].Cells[(int)DispColumn.seqNo].Value = Dlist[i].seqNo;
+                        dgv1.Rows[i].Cells[(int)DispColumn.depositPersonCode].Value = Dlist[i].depositPersonCode;
+                        dgv1.Rows[i].Cells[(int)DispColumn.personName].Value = Dlist[i].personName;
+                        dgv1.Rows[i].Cells[(int)DispColumn.personName].Style.ForeColor = Color.Red;
+                    }
+                    else
+                    {
+                        dgv1.Rows[i].Cells[(int)DispColumn.seqNo].Value = i;
+                        dgv1.Rows[i].Cells[(int)DispColumn.depositPersonCode].Value = CommonMotions.LoginUserData.PersonCode;
+                        dgv1.Rows[i].Cells[(int)DispColumn.personName].Value = CommonMotions.LoginUserData.SealPrintName;
+                        dgv1.Rows[i].Cells[(int)DispColumn.personName].Style.ForeColor = Color.Gray;
+                    }
+                    dgv1.Rows[i].Cells[(int)DispColumn.note].Value = Dlist[i].note;
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 金額の設定
+        /// <summary>
+        /// 金額の設定
+        /// </summary>
+        /// <param name="cells"></param>
+        /// <param name="index"></param>
+        /// <param name="price"></param>
+        private void SetPrice(DataGridViewCellCollection cells, int index, long price)
+        {
+            try
+            {
+                cells[index].Value = price.ToString("#,0");
+                cells[index].Style.ForeColor = Color.Black;
+                if (price < 0)
+                {
+                    cells[index].Style.ForeColor = Color.Red;
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region セル編集開始
+        /// <summary>
+        /// セル編集開始
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgv1_CellBeginEdit(object sender, DataGridViewCellCancelEventArgs e)
+        {
+            dgv1.CellBeginEdit -= dgv1_CellBeginEdit;
+            dgv1.CellValueChanged -= dgv1_CellValueChanged;
+
+            int tcol = e.ColumnIndex;
+            int trow = e.RowIndex;
+
+            try
+            {
+                if ((tcol == (int)DispColumn.depositAmountCash) ||
+                (tcol == (int)DispColumn.depositAmountBill))
+                {
+                    string val;
+
+                    // セルに値が格納されている場合
+                    if (dgv1[tcol, trow].Value != null)
+                    {
+                        // カンマ区切りを解除
+                        val = dgv1[tcol, trow].Value.ToString().Replace(",", string.Empty);
+                    }
+                    else
+                    {
+                        // 0を入力
+                        val = "0";
+                    }
+                    dgv1[tcol, trow].Value = val;
+
+                    // 文字色は一律黒
+                    dgv1[tcol, trow].Style.ForeColor = Color.Black;
+
+                }
+                dgv1.CellBeginEdit += dgv1_CellBeginEdit;
+                dgv1.CellValueChanged += dgv1_CellValueChanged;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region セルフォーカス取得
+        /// <summary>
+        /// セル編集開始時のイベント
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgv1_CellEnter(object sender, DataGridViewCellEventArgs e)
+        {
+            try
+            {
+                if (dgv1.RowCount == 0)
+                {
+                    return;
+                }
+                oldCellValue = CommonMotions.cnvString(dgv1[e.ColumnIndex, e.RowIndex].Value);
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region セル編集完了時のイベント
+        /// <summary>
+        /// セル編集完了時のイベント
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgv1_CellValueChanged(object sender, DataGridViewCellEventArgs e)
+        {
+            dgv1.CellEnter -= dgv1_CellEnter;
+            dgv1.CellValueChanged -= dgv1_CellValueChanged;
+
+            try
+            {
+
+                // 行が追加されたときではなく、セルの内容が変更されているときだけ処理を実行する。また金額以外の変更は処理を抜ける。
+                if (e.RowIndex == dgv1.NewRowIndex ||
+                    !dgv1.IsCurrentCellDirty //||
+                    //e.ColumnIndex == (int)DispColumn.depositAmountBill ||
+                    //e.ColumnIndex != (int)DispColumn.depositAmountCash
+                    )
+                {
+                    return;
+                }
+
+                // 行がなければそのまま返す
+                if (dgv1.RowCount == 0)
+                {
+                    return;
+                }
+
+                var cells = dgv1.Rows[e.RowIndex].Cells;
+                var cellValue = CommonMotions.cnvString(cells[e.ColumnIndex].Value);
+
+                // 値が変わっていなければそのまま返す
+                if (oldCellValue == cellValue)
+                {
+                    return;
+                }
+                try
+                {
+                    // 日付の自動編集
+                    if (dgv1.Rows[e.RowIndex].Cells[e.ColumnIndex].ColumnIndex == (int)DispColumn.depositDate)
+                    {
+                        string txtbox = dgv1.Rows[e.RowIndex].Cells[e.ColumnIndex].Value.ToString();
+
+                        // 日付をyyyy/mm/dd形式で表示する
+                        if (txtbox.Length == 0)
+                        {
+                            return;
+                        }
+
+                        // 文字の出現回数カウント
+                        if (CommonMotions.chkNumeric(txtbox))
+                        {   // 数字のみ入力
+                            if (txtbox.ToString().Length <= 4)
+                            {
+                                txtbox = CommonMotions.cnvInt(txtbox.Substring(0, 2)).ToString("00")
+                                    + "/" + CommonMotions.cnvInt(txtbox.Substring(2)).ToString("00");
+                            }
+                        }
+                        else
+                        {   // 99/99の入力
+                            if (txtbox.ToString().Length <= 5)
+                            {
+                                txtbox = CommonMotions.cnvInt(txtbox.Substring(0, txtbox.IndexOf("/"))).ToString("00")
+                                                + "/" + CommonMotions.cnvInt(txtbox.Substring(txtbox.IndexOf("/") + 1)).ToString("00");
+
+                            }
+                        }
+
+                        if (!CommonMotions.chkDate(txtbox.ToString()))
+                        {
+                            throw new Exception();
+                        }
+
+                        dgv1.Rows[e.RowIndex].Cells[e.ColumnIndex].Value = txtbox.ToString();
+                        cellValue = txtbox.ToString();
+                    }
+                }
+                catch(Exception ex)
+                {
+                    logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                    MessageBox.Show("入金日の値が不正です", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    dgv1.Rows[e.RowIndex].Cells[e.ColumnIndex].Value = "";
+                }
+
+                // 入金情報を編集
+                if (e.ColumnIndex == (int)DispColumn.depositAmountCash
+                    || e.ColumnIndex == (int)DispColumn.depositAmountBill
+                    || e.ColumnIndex == (int)DispColumn.depositDate
+                    || e.ColumnIndex == (int)DispColumn.note)
+                {
+                    switch (e.ColumnIndex)
+                    {
+                        case (int)DispColumn.depositAmountCash:
+                            if (cellValue != "")
+                                Dlist[e.RowIndex].depositAmountCash = (int)CommonMotions.cnvLong(cellValue);
+                            else
+                                Dlist[e.RowIndex].depositAmountCash = 0;
+                            break;
+                        case (int)DispColumn.depositAmountBill:
+                            if (cellValue != "")
+                                Dlist[e.RowIndex].depositAmountBill = (int)CommonMotions.cnvLong(cellValue);
+                            else
+                                Dlist[e.RowIndex].depositAmountBill = 0;
+                            break;
+                        case (int)DispColumn.depositDate:
+                            DateTime dt;
+                            if (DateTime.TryParse(cellValue, out dt))
+                                Dlist[e.RowIndex].depositDate = dt.ToString("yyyy/MM/dd");
+                            else
+                                Dlist[e.RowIndex].depositDate = "";
+                            break;
+                        case (int)DispColumn.note:
+                            if (cellValue != "")
+                                Dlist[e.RowIndex].note = CommonMotions.cnvString(cellValue);
+                            else
+                                Dlist[e.RowIndex].note = "";
+                            break;
+                    }
+
+                    if (dgv1.Rows[e.RowIndex].Cells[(int)DispColumn.seqNo].Value == null)
+                    {
+                        return;
+                    }
+                    int seqno = (int)dgv1.Rows[e.RowIndex].Cells[(int)DispColumn.seqNo].Value + 1;
+                    if (seqno == Dlist.Count)
+                    {
+                        Dlist[e.RowIndex].AddEdit = 1;
+                    }
+                    else
+                    {
+                        Dlist[e.RowIndex].AddEdit = 2;
+                    }
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                dgv1.CellEnter += dgv1_CellEnter;
+                dgv1.CellValueChanged += dgv1_CellValueChanged;
+            }
+        }
+        #endregion
+
+        #region 金額セル検証
+        /// <summary>
+        /// 金額セル検証
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgv1_CellValidating(object sender, DataGridViewCellValidatingEventArgs e)
+        {
+            int tcol = e.ColumnIndex;
+            int trow = e.RowIndex;
+
+            if (trow == -1)
+            {
+                return;
+            }
+
+            try
+            {
+                if ((tcol == (int)DispColumn.depositAmountCash) ||              // 入金金額（振込）
+                   (tcol == (int)DispColumn.depositAmountBill))                // 入金金額（手形）
+                {
+                    // カンマは一旦削除して文字列を取得
+                    string str = e.FormattedValue.ToString().Replace(",", string.Empty); ;
+
+                    // 不要な空白は削除
+                    str.Trim();
+
+                    // 値が未設定の場合は０とする
+                    if (str == "")
+                    {
+                        str = "0";
+                    }
+
+                    long n = 0;
+
+                    if (long.TryParse(str, out n) == true)
+                    {
+                        if ((n > amount_max) || (n < amount_min))
+                        {
+                            MessageBox.Show("金額が登録可能範囲(-9,999,999,999～9,999,999,999)を超えました。", "入力エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                            e.Cancel = true;
+                        }
+                    }
+                    else
+                    {
+                        MessageBox.Show("金額を入力してください", "入力エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        e.Cancel = true;
+                    }
+                }
+                return;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region セルフォーマッティング
+        /// <summary>
+        /// セルフォーマッティング
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgv1_CellFormatting_1(object sender, DataGridViewCellFormattingEventArgs e)
+        {
+            DataGridView dgv = (DataGridView)sender;
+
+            try
+            {
+                if (dgv.RowCount == 0)
+                    return;
+
+                if (e.ColumnIndex == (int)DispColumn.depositAmountBill ||
+                    e.ColumnIndex == (int)DispColumn.depositAmountCash)
+                {
+                    // マイナス値は赤
+                    if (CommonMotions.cnvInt(dgv[e.ColumnIndex, e.RowIndex].Value) < 0)
+                    {
+                        dgv[e.ColumnIndex, e.RowIndex].Style.ForeColor = Color.Red;
+                    }
+                    else
+                    {
+                        dgv[e.ColumnIndex, e.RowIndex].Style.ForeColor = SystemColors.ControlText;
+                    }
+
+                    dgv[e.ColumnIndex, e.RowIndex].Value = CommonMotions.cnvInt(dgv[e.ColumnIndex, e.RowIndex].Value).ToString("#,0");
+                }
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 削除ボタン押下
+        private void btnDelete_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                if (MessageBox.Show("選択しているデータを削除します。よろしいですか。", "削除確認", MessageBoxButtons.YesNo, MessageBoxIcon.Question) != DialogResult.Yes)
+                {
+                    return;
+                }
+                int row = dgv1.CurrentCell.RowIndex;
+                Dlist[row].AddEdit = 3;
+                //CommonMotions.RemoveEndMessage("入金データ");
+                dgv1.Rows[row].Cells[(int)DispColumn.note].Value = "登録ボタンで削除完了";
+                dgv1.Rows[row].Cells[(int)DispColumn.note].Style.ForeColor = Color.Red;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+
+        }
+        #endregion
+
+        #region 登録ボタン押下
+        private void btnAccept_Click(object sender, EventArgs e)
+        {
+            dgv1.CellEnter -= dgv1_CellEnter;
+            dgv1.CellValueChanged -= dgv1_CellValueChanged;
+
+            var ioDepositData = new IODepositData();
+
+            try
+            {
+                if (MessageBox.Show("表示中のデータを登録します。", "登録確認", MessageBoxButtons.YesNo, MessageBoxIcon.Question) != DialogResult.Yes)
+                {
+                    return;
+                }
+
+                for (int i = 0; i < Dlist.Count; i++)
+                {
+                    if (Dlist[i].AddEdit == 0)
+                    {
+                        continue;
+                    }
+                    #region 入力内容をチェック
+
+                    // 入金日入力済みで入金金額が入力されていない
+                    if (!string.IsNullOrEmpty(Dlist[i].depositDate)
+                        && string.IsNullOrEmpty(Dlist[i].depositAmountCash.ToString())
+                        && string.IsNullOrEmpty(Dlist[i].depositAmountBill.ToString()))
+                    {
+                        // エラー表示
+                        MessageBox.Show("入金日が登録されている行に入金金額が入力されていません。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+
+                        return;
+                    }
+                    // 入金金額入力済みで入金日が入力されていない
+                    if (string.IsNullOrEmpty(Dlist[i].depositDate)
+                        && (!string.IsNullOrEmpty(Dlist[i].depositAmountCash.ToString())
+                        || !string.IsNullOrEmpty(Dlist[i].depositAmountBill.ToString())))
+                    {
+                        // エラー表示
+                        MessageBox.Show("入金金額が登録されている行に入金日が入力されていません。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+
+                        return;
+                    }
+                    #endregion
+
+                    ioDepositData.connect();
+
+                    #region 登録処理
+                    string m_note = dgv1.Rows[i].Cells[(int)DispColumn.note].Value.ToString();
+                    if (m_note == null)
+                    {
+                        m_note = "";
+                    }
+                    var depositData = new DepositData()
+                    {
+                        OrderersDivision = Dlist[i].orderersDivision,
+                        OrderersCode = Dlist[i].orderersCode,
+                        TargetDate = Dlist[i].targetDate.ToString(),
+                        SeqNo = (int)dgv1.Rows[i].Cells[(int)DispColumn.seqNo].Value,
+                        BusinessPeriod = CommonMotions.SystemMasterData.BusinessPeriod,
+                        DepositDate = DateTime.Parse(Dlist[i].depositDate),
+                        DepositAmount = Dlist[i].depositAmountCash + Dlist[i].depositAmountBill,
+                        DepositAmountCash = Dlist[i].depositAmountCash,
+                        DepositAmountBill = Dlist[i].depositAmountBill,
+                        DepositPersonCode = (int)dgv1.Rows[i].Cells[(int)DispColumn.depositPersonCode].Value,
+                        Note = m_note
+                    };
+
+                    // 登録処理
+                    if (Dlist[i].AddEdit == 1)
+                    {
+                        if (!ioDepositData.InsertAction(depositData))
+                        {
+                            throw new Exception();
+                        }
+                        else
+                        {
+                            // 掲示板登録
+                            MessageBoardEntry();
+                        }
+                    }
+                    // 更新処理
+                    else if (Dlist[i].AddEdit == 2)
+                    {
+                        var sql = String.Format(" where OrderersDivision = {0} and OrderersCode = {1} and TargetDate = {2} and SeqNo = {3} ",
+                            depositData.OrderersDivision, depositData.OrderersCode, depositData.TargetDate, depositData.SeqNo);
+                        if (!ioDepositData.UpdateAction(sql, depositData))
+                        {
+                            throw new Exception();
+                        }
+                    }
+                    // 削除処理
+                    else if (Dlist[i].AddEdit == 3)
+                    {
+                            var sql = String.Format(" where OrderersDivision = {0} and OrderersCode = {1} and TargetDate = {2} and SeqNo = {3}",
+                                depositData.OrderersDivision, depositData.OrderersCode, depositData.TargetDate, depositData.SeqNo);
+                            if (!ioDepositData.DeleteAction(sql))
+                                {
+                                    throw new Exception();
+                                }
+                    }
+                    #endregion
+                }
+                CommonMotions.EntryEndMessage("入金入力");
+            }
+            catch (Exception ex)
+            {
+                ioDepositData.rollback();
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                dgv1.CellEnter += dgv1_CellEnter;
+                dgv1.CellValueChanged += dgv1_CellValueChanged;
+                ioDepositData.close();
+                ioDepositData = null;
+                try
+                {
+                    this.Close();
+                }
+                catch (Exception ex)
+                {
+                    logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                }
+            }
+        }
+        #endregion
+
+        #region 入金情報掲示板データ登録
+        /// <summary>
+        /// 入金情報掲示板データ登録
+        /// </summary>
+        /// <returns></returns>
+        private bool MessageBoardEntry()
+        {
+            IOMessageBoardData mbdDB = new IOMessageBoardData();
+            IOMessageBoardTerget mbtDB = new IOMessageBoardTerget();
+
+            try
+            {
+                mbdDB.connect();
+                mbdDB.beginTran();
+
+                mbtDB.connect();
+                mbtDB.beginTran();
+
+                List<MessageBoardData> list = new List<MessageBoardData>();
+                MessageBoardData data = new MessageBoardData();
+
+                // キーコードセット
+                data.RecordNumber = mbtDB.SelectMaxMessageBoardTergetKeyCount("", false) + 1;
+                data.BranchNumber = 0;
+                string strWhere = mbdDB.CreatePrimarykeyString(data.RecordNumber, data.BranchNumber);
+
+                // 送信者セット
+                data.FromCode = CommonMotions.LoginUserData.PersonCode;
+                data.FromName = CommonMotions.LoginUserData.PersonName;
+
+                data.MessageTitle = string.Format("入金確認（{0}）", OrderersName.Text);
+                data.MessageContent = string.Format("{0}様より入金がありました。\r\n", OrderersName.Text);
+                data.MessageContent += "入金内容の確認をよろしくお願いします。";
+
+                // リンク情報
+                data.LinkType = 0;
+                data.LinkMessage = "";
+                data.LinkCode = "";
+
+                // メッセージ色セット
+                data.MessageColor = String.Format("0x{0:X2}{1:X2}{2:X2}", Color.White.R
+                                                                        , Color.White.G
+                                                                        , Color.White.B);
+                data.BackColor = String.Format("0x{0:X2}{1:X2}{2:X2}", Color.Green.R
+                                                                        , Color.Green.G
+                                                                        , Color.Green.B);
+                data.WritingDate = DateTime.Now;
+                data.PersonCode = CommonMotions.LoginUserData.PersonCode;
+                data.ShareFlag = 1;
+
+                list.Add(data);
+                // データ登録
+                if (!mbdDB.InsertAction(list, false))
+                {
+                    MessageBox.Show("登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    mbdDB.rollback();
+                    mbtDB.rollback();
+                    return false;
+                }
+
+                string strMBT = mbtDB.CreatePrimarykeyString(data.RecordNumber, data.BranchNumber);
+                mbtDB.DeleteAction(strMBT, false);
+                // 対象者書込み
+                int icnt = 0;
+
+                List<MessageBoardTerget> terList = new List<MessageBoardTerget>();
+                MessageBoardTerget wrkTer = new MessageBoardTerget();
+
+                // キーコードセット
+                wrkTer.RecordNumber = data.RecordNumber;
+                wrkTer.BranchNumber = data.BranchNumber;
+                wrkTer.SeqNum = ++icnt;
+                wrkTer.ToCode = 99999999;
+                wrkTer.ToName = "全　　員";
+
+                terList.Add(wrkTer);
+
+                // データ登録
+                if (!mbtDB.InsertAction(terList, false))
+                {
+                    mbdDB.rollback();
+                    mbtDB.rollback();
+                    return false;
+                }
+
+                mbdDB.commit();
+                mbtDB.commit();
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                mbdDB.close();
+                mbdDB = null;
+                mbtDB.close();
+                mbtDB = null;
+            }
+        }
+        #endregion
+
+        #region 終了ボタン押下
+        private void btnEnd_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                this.Close();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region デバック用ボタン
+        private void button1_Click(object sender, EventArgs e)
+        {
+            for (int i = 0; i < dgv1.ColumnCount; i++)
+            {
+                dgv1.Columns[i].Visible = true;
+            }
+        }
+        #endregion
+
+    }
+}
